
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MPAndroidChart开源图表库的使用介绍之饼状图、折线图和柱状图_java / iVAN</title>

    <meta name="description" content="MPAndroidChart开源图表库的使用介绍之饼状图、折线图和柱状图_java MPAndroidChart开源图表库之饼状图 为大家介绍一款图标开源库MPAndroidChart,它不仅可以在Android设备上绘制各种统计图表,而且可以对图表进行拖动和缩放操作,用起来非常灵活.MPAndroidChart同样拥有常用的图表类型:线型图.饼图.柱状图和散点图. mpandroidchartlibrary.jar包下载地址: https://github.com/PhilJay/MPAndroidChart/releases 下面主要实现以下饼状图: 1.从上面的地址中下载">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MPAndroidChart开源图表库的使用介绍之饼状图、折线图和柱状图_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>MPAndroidChart开源图表库之饼状图</strong></p>
<p>　　为大家介绍一款图标开源库MPAndroidChart,它不仅可以在Android设备上绘制各种统计图表，而且可以对图表进行拖动和缩放操作，用起来非常灵活。MPAndroidChart同样拥有常用的图表类型：线型图、饼图、柱状图和散点图。</p>
<p>mpandroidchartlibrary.jar包下载地址：</p>
<p>https://github.com/PhilJay/MPAndroidChart/releases</p>
<p>　　下面主要实现以下饼状图：</p>
<p>　　1.从上面的地址中下载最新mpandroidchartlibrary-2-0-8.jar包， 然后copy到项目的libs中</p>
<p>　　2. 定义xml文件</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MTE5LnBuZw==.jpg"></p>
<p>        3. 主要Java逻辑代码如下。</p>
<pre>
importjava.util.ArrayList;
importcom.github.mikephil.charting.charts.PieChart;
importcom.github.mikephil.charting.components.Legend;
importcom.github.mikephil.charting.components.Legend.LegendPosition;
importcom.github.mikephil.charting.data.Entry;
importcom.github.mikephil.charting.data.PieData;
importcom.github.mikephil.charting.data.PieDataSet;
import android.support.v7.app.ActionBarActivity;
importandroid.graphics.Color;
importandroid.os.Bundle;
importandroid.util.DisplayMetrics;
public class MainActivity extends ActionBarActivity {
privatePieChartmChart;
@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
setContentView(R.layout.activity_main);
mChart = (PieChart) findViewById(R.id.spread_pie_chart);
PieDatamPieData = getPieData(4, 100);
showChart(mChart, mPieData);
}
private void showChart(PieChartpieChart, PieDatapieData) {
pieChart.setHoleColorTransparent(true);
pieChart.setHoleRadius(60f); //半径
pieChart.setTransparentCircleRadius(64f); // 半透明圈
//pieChart.setHoleRadius(0) //实心圆
pieChart.setDescription("测试饼状图");
// mChart.setDrawYValues(true);
pieChart.setDrawCenterText(true); //饼状图中间可以添加文字
pieChart.setDrawHoleEnabled(true);
pieChart.setRotationAngle(90); // 初始旋转角度
// draws the corresponding description value into the slice
// mChart.setDrawXValues(true);
// enable rotation of the chart by touch
pieChart.setRotationEnabled(true); // 可以手动旋转
// display percentage values
pieChart.setUsePercentValues(true); //显示成百分比
// mChart.setUnit(" ?");
// mChart.setDrawUnitsInChart(true);
// add a selection listener
// mChart.setOnChartValueSelectedListener(this);
// mChart.setTouchEnabled(false);
// mChart.setOnAnimationListener(this);
pieChart.setCenterText("Quarterly Revenue"); //饼状图中间的文字
//设置数据
pieChart.setData(pieData);
// undo all highlights
// pieChart.highlightValues(null);
// pieChart.invalidate();
Legend mLegend = pieChart.getLegend(); //设置比例图
mLegend.setPosition(LegendPosition.RIGHT_OF_CHART); //最右边显示
// mLegend.setForm(LegendForm.LINE); //设置比例图的形状，默认是方形
mLegend.setXEntrySpace(7f);
mLegend.setYEntrySpace(5f);
pieChart.animateXY(1000, 1000); //设置动画
// mChart.spin(2000, 0, 360);
}
/**
*
* @param count 分成几部分
* @param range
*/
privatePieDatagetPieData(int count, float range) {
ArrayList&lt;String&gt;xValues = new ArrayList&lt;String&gt;(); //xVals用来表示每个饼块上的内容
for (inti = 0; i&lt; count; i++) {
xValues.add("Quarterly" + (i + 1)); //饼块上显示成Quarterly1, Quarterly2, Quarterly3, Quarterly4
}
ArrayList&lt;Entry&gt;yValues = new ArrayList&lt;Entry&gt;(); //yVals用来表示封装每个饼块的实际数据
// 饼图数据
/**
* 将一个饼形图分成四部分，四部分的数值比例为14:14:34:38
* 所以 14代表的百分比就是14%
*/
float quarterly1 = 14;
float quarterly2 = 14;
float quarterly3 = 34;
float quarterly4 = 38;
yValues.add(new Entry(quarterly1, 0));
yValues.add(new Entry(quarterly2, 1));
yValues.add(new Entry(quarterly3, 2));
yValues.add(new Entry(quarterly4, 3));
//y轴的集合
PieDataSetpieDataSet = new PieDataSet(yValues, "Quarterly Revenue 2014"/*显示在比例图上*/);
pieDataSet.setSliceSpace(0f); //设置个饼状图之间的距离
ArrayList&lt;Integer&gt; colors = new ArrayList&lt;Integer&gt;();
// 饼图颜色
colors.add(Color.rgb(205, 205, 205));
colors.add(Color.rgb(114, 188, 223));
colors.add(Color.rgb(255, 123, 124));
colors.add(Color.rgb(57, 135, 200));
pieDataSet.setColors(colors);
DisplayMetrics metrics = getResources().getDisplayMetrics();
floatpx = 5 * (metrics.densityDpi / 160f);
pieDataSet.setSelectionShift(px); // 选中态多出的长度
PieDatapieData = new PieData(xValues, pieDataSet);
returnpieData;
}
}</pre>
<p>效果图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MjIwLnBuZw==.jpg"></p>
<p><strong>MPAndroidChart开源图表库之折线图</strong></p>
<p>1. 将mpandroidchartlibrary-2-0-8.jar包copy到项目的libs中</p>
<p>2. 定义xml文件</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MjIxLnBuZw==.jpg"></p>
<p>3. 主要Java逻辑代码如下。</p>
<pre>
packagecom.example.mpandroidlinechart;
importjava.util.ArrayList;
importcom.github.mikephil.charting.charts.LineChart;
importcom.github.mikephil.charting.components.Legend;
importcom.github.mikephil.charting.components.Legend.LegendForm;
importcom.github.mikephil.charting.data.Entry;
importcom.github.mikephil.charting.data.LineData;
importcom.github.mikephil.charting.data.LineDataSet;
import android.support.v7.app.ActionBarActivity;
importandroid.graphics.Color;
importandroid.os.Bundle;
public class MainActivity extends ActionBarActivity {
privateLineChartmLineChart;
// private Typeface mTf;
@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
setContentView(R.layout.activity_main);
mLineChart = (LineChart) findViewById(R.id.spread_line_chart);
// mTf = Typeface.createFromAsset(getAssets(), "OpenSans-Bold.ttf");
LineDatamLineData = getLineData(36, 100);
showChart(mLineChart, mLineData, Color.rgb(114, 188, 223));
}
// 设置显示的样式
private void showChart(LineChartlineChart, LineDatalineData, int color) {
lineChart.setDrawBorders(false); //是否在折线图上添加边框
// no description text
lineChart.setDescription("");// 数据描述
// 如果没有数据的时候，会显示这个，类似listview的emtpyview
lineChart.setNoDataTextDescription("You need to provide data for the chart.");
// enable / disable grid background
lineChart.setDrawGridBackground(false); // 是否显示表格颜色
lineChart.setGridBackgroundColor(Color.WHITE&amp; 0x70FFFFFF); // 表格的的颜色，在这里是是给颜色设置一个透明度
// enable touch gestures
lineChart.setTouchEnabled(true); // 设置是否可以触摸
// enable scaling and dragging
lineChart.setDragEnabled(true);// 是否可以拖拽
lineChart.setScaleEnabled(true);// 是否可以缩放
// if disabled, scaling can be done on x- and y-axis separately
lineChart.setPinchZoom(false);//
lineChart.setBackgroundColor(color);// 设置背景
// add data
lineChart.setData(lineData); // 设置数据
// get the legend (only possible after setting data)
Legend mLegend = lineChart.getLegend(); // 设置比例图标示，就是那个一组y的value的
// modify the legend ...
// mLegend.setPosition(LegendPosition.LEFT_OF_CHART);
mLegend.setForm(LegendForm.CIRCLE);// 样式
mLegend.setFormSize(6f);// 字体
mLegend.setTextColor(Color.WHITE);// 颜色
// mLegend.setTypeface(mTf);// 字体
lineChart.animateX(2500); // 立即执行的动画,x轴
}
/**
* 生成一个数据
* @param count 表示图表中有多少个坐标点
* @param range 用来生成range以内的随机数
* @return
*/
privateLineDatagetLineData(int count, float range) {
ArrayList&lt;String&gt;xValues = new ArrayList&lt;String&gt;();
for (inti = 0; i&lt; count; i++) {
// x轴显示的数据，这里默认使用数字下标显示
xValues.add("" + i);
}
// y轴的数据
ArrayList&lt;Entry&gt;yValues = new ArrayList&lt;Entry&gt;();
for (inti = 0; i&lt; count; i++) {
float value = (float) (Math.random() * range) + 3;
yValues.add(new Entry(value, i));
}
// create a dataset and give it a type
// y轴的数据集合
LineDataSetlineDataSet = new LineDataSet(yValues, "测试折线图" /*显示在比例图上*/);
// mLineDataSet.setFillAlpha(110);
// mLineDataSet.setFillColor(Color.RED);
//用y轴的集合来设置参数
lineDataSet.setLineWidth(1.75f); // 线宽
lineDataSet.setCircleSize(3f);// 显示的圆形大小
lineDataSet.setColor(Color.WHITE);// 显示颜色
lineDataSet.setCircleColor(Color.WHITE);// 圆形的颜色
lineDataSet.setHighLightColor(Color.WHITE); // 高亮的线的颜色
ArrayList&lt;LineDataSet&gt;lineDataSets = new ArrayList&lt;LineDataSet&gt;();
lineDataSets.add(lineDataSet); // add the datasets
// create a data object with the datasets
LineDatalineData = new LineData(xValues, lineDataSets);
returnlineData;
}
}</pre>
<p>效果图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MjIyLnBuZw==.jpg"></p>
<p><strong>MPAndroidChart开源图表库之柱状图</strong></p>
<p>1. 将mpandroidchartlibrary-2-0-8.jar包copy到项目的libs中</p>
<p>2. 定义xml文件</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MjIzLnBuZw==.jpg"></p>
<p>3. 主要Java逻辑代码如下。</p>
<pre>
packagecom.jackie.mpandoidbarchart;
importjava.util.ArrayList;
importcom.github.mikephil.charting.charts.BarChart;
importcom.github.mikephil.charting.charts.LineChart;
importcom.github.mikephil.charting.components.Legend;
importcom.github.mikephil.charting.components.Legend.LegendForm;
importcom.github.mikephil.charting.components.XAxis;
importcom.github.mikephil.charting.components.XAxis.XAxisPosition;
importcom.github.mikephil.charting.data.BarData;
importcom.github.mikephil.charting.data.BarDataSet;
importcom.github.mikephil.charting.data.BarEntry;
import android.support.v7.app.ActionBarActivity;
importandroid.graphics.Color;
importandroid.os.Bundle;
public class MainActivity extends ActionBarActivity {
privateBarChartmBarChart;
privateBarDatamBarData;
@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
setContentView(R.layout.activity_main);
mBarChart = (BarChart) findViewById(R.id.spread_bar_chart);
mBarData = getBarData(4, 100);
showBarChart(mBarChart, mBarData);
}
private void showBarChart(BarChartbarChart, BarDatabarData) {
barChart.setDrawBorders(false); ////是否在折线图上添加边框
barChart.setDescription("");// 数据描述
// 如果没有数据的时候，会显示这个，类似ListView的EmptyView
barChart.setNoDataTextDescription("You need to provide data for the chart.");
barChart.setDrawGridBackground(false); // 是否显示表格颜色
barChart.setGridBackgroundColor(Color.WHITE&amp; 0x70FFFFFF); // 表格的的颜色，在这里是是给颜色设置一个透明度
barChart.setTouchEnabled(true); // 设置是否可以触摸
barChart.setDragEnabled(true);// 是否可以拖拽
barChart.setScaleEnabled(true);// 是否可以缩放
barChart.setPinchZoom(false);//
// barChart.setBackgroundColor();// 设置背景
barChart.setDrawBarShadow(true);
barChart.setData(barData); // 设置数据
Legend mLegend = barChart.getLegend(); // 设置比例图标示
mLegend.setForm(LegendForm.CIRCLE);// 样式
mLegend.setFormSize(6f);// 字体
mLegend.setTextColor(Color.BLACK);// 颜色
// X轴设定
// XAxisxAxis = barChart.getXAxis();
// xAxis.setPosition(XAxisPosition.BOTTOM);
barChart.animateX(2500); // 立即执行的动画,x轴
}
privateBarDatagetBarData(int count, float range) {
ArrayList&lt;String&gt;xValues = new ArrayList&lt;String&gt;();
for (inti = 0; i&lt; count; i++) {
xValues.add("第" + (i + 1) + "季度");
}
ArrayList&lt;BarEntry&gt;yValues = new ArrayList&lt;BarEntry&gt;();
for (inti = 0; i&lt; count; i++) {
float value = (float) (Math.random() * range/*100以内的随机数*/) + 3;
yValues.add(new BarEntry(value, i));
}
// y轴的数据集合
BarDataSetbarDataSet = new BarDataSet(yValues, "测试饼状图");
barDataSet.setColor(Color.rgb(114, 188, 223));
ArrayList&lt;BarDataSet&gt;barDataSets = new ArrayList&lt;BarDataSet&gt;();
barDataSets.add(barDataSet); // add the datasets
BarDatabarData = new BarData(xValues, barDataSets);
returnbarData;
}
}

packagecom.jackie.mpandoidbarchart;
importjava.util.ArrayList;
importcom.github.mikephil.charting.charts.BarChart;
importcom.github.mikephil.charting.charts.LineChart;
importcom.github.mikephil.charting.components.Legend;
importcom.github.mikephil.charting.components.Legend.LegendForm;
importcom.github.mikephil.charting.components.XAxis;
importcom.github.mikephil.charting.components.XAxis.XAxisPosition;
importcom.github.mikephil.charting.data.BarData;
importcom.github.mikephil.charting.data.BarDataSet;
importcom.github.mikephil.charting.data.BarEntry;
import android.support.v7.app.ActionBarActivity;
importandroid.graphics.Color;
importandroid.os.Bundle;
public class MainActivity extends ActionBarActivity {
privateBarChartmBarChart;
privateBarDatamBarData;
@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
setContentView(R.layout.activity_main);
mBarChart = (BarChart) findViewById(R.id.spread_bar_chart);
mBarData = getBarData(4, 100);
showBarChart(mBarChart, mBarData);
}
private void showBarChart(BarChartbarChart, BarDatabarData) {
barChart.setDrawBorders(false); ////是否在折线图上添加边框
barChart.setDescription("");// 数据描述
// 如果没有数据的时候，会显示这个，类似ListView的EmptyView
barChart.setNoDataTextDescription("You need to provide data for the chart.");
barChart.setDrawGridBackground(false); // 是否显示表格颜色
barChart.setGridBackgroundColor(Color.WHITE&amp; 0x70FFFFFF); // 表格的的颜色，在这里是是给颜色设置一个透明度
barChart.setTouchEnabled(true); // 设置是否可以触摸
barChart.setDragEnabled(true);// 是否可以拖拽
barChart.setScaleEnabled(true);// 是否可以缩放
barChart.setPinchZoom(false);//
// barChart.setBackgroundColor();// 设置背景
barChart.setDrawBarShadow(true);
barChart.setData(barData); // 设置数据
Legend mLegend = barChart.getLegend(); // 设置比例图标示
mLegend.setForm(LegendForm.CIRCLE);// 样式
mLegend.setFormSize(6f);// 字体
mLegend.setTextColor(Color.BLACK);// 颜色
// X轴设定
// XAxisxAxis = barChart.getXAxis();
// xAxis.setPosition(XAxisPosition.BOTTOM);
barChart.animateX(2500); // 立即执行的动画,x轴
}
privateBarDatagetBarData(int count, float range) {
ArrayList&lt;String&gt;xValues = new ArrayList&lt;String&gt;();
for (inti = 0; i&lt; count; i++) {
xValues.add("第" + (i + 1) + "季度");
}
ArrayList&lt;BarEntry&gt;yValues = new ArrayList&lt;BarEntry&gt;();
for (inti = 0; i&lt; count; i++) {
float value = (float) (Math.random() * range/*100以内的随机数*/) + 3;
yValues.add(new BarEntry(value, i));
}
// y轴的数据集合
BarDataSetbarDataSet = new BarDataSet(yValues, "测试饼状图");
barDataSet.setColor(Color.rgb(114, 188, 223));
ArrayList&lt;BarDataSet&gt;barDataSets = new ArrayList&lt;BarDataSet&gt;();
barDataSets.add(barDataSet); // add the datasets
BarDatabarData = new BarData(xValues, barDataSets);
returnbarData;
}
}</pre>
<p>效果图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIxNTExMTk0MjI0LnBuZw==.jpg"></p>
<p>以上所述是小编给大家介绍的MPAndroidChart开源图表库的使用介绍之饼状图、折线图和柱状图的相关知识，希望对大家有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索mpandroidchart折线图<br />
                    ，                mpandroidchart开源<br />
                    ，                mpandroidchart饼状图<br />
                                    mpandroidchart柱状图<br />
                                    柱状图 饼状图 折线图、mpandroidchart饼状图、mpandroidchart柱状图、mpandroidchart折线图、mpandroidchart双折线，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 01:45:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mpandroidchart%e5%bc%80%e6%ba%90/" title="mpandroidchart开源">mpandroidchart开源</a>, <a href="https://www.iamivan.net/tag/mpandroidchart%e6%9f%b1%e7%8a%b6%e5%9b%be/" title="mpandroidchart柱状图">mpandroidchart柱状图</a>, <a href="https://www.iamivan.net/tag/mpandroidchart%e9%a5%bc%e7%8a%b6%e5%9b%be/" title="mpandroidchart饼状图">mpandroidchart饼状图</a>, <a href="https://www.iamivan.net/tag/mpandroidchart%e6%8a%98%e7%ba%bf%e5%9b%be/" title="mpandroidchart折线图">mpandroidchart折线图</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MPAndroidChart开源图表库的使用介绍之饼状图、折线图和柱状图_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrnXaM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;【强力推荐】Android开源图表库XCL-Charts版本发布及展示页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				         因为要做图表相关的应用,后来百度发现了一个很好的Android开源图表库(XCL-Charts is a free charting library for Android platform.)                      下面内容转载于:http://blog.csdn.net/xcl168/article/details/29675613,详细介绍了XCL-Charts的展示内容.   =====================================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b28DDVp.html" rel="bookmark">C3&period;js 0&period;4&period;13 发布，基于 D3&period;js 的开源图表库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C3.js 0.4.13 已发布,更新如下: 特性 新增 point.show 功能选项 #2062 修复 Parallel loading of d3 and c3 #2066 修复 tooltip ordering #2070 修复 IE9 CSV Loading #1345 修复 addHiddenTargetIds 和 addHiddenLegendIds #1663 C3.js 是一个基于 D3.js 的可重用的开源图表库.使用非常舒服.充分可定制性和控制性.支持多种图表类型. 文章转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDaqvz.html" rel="bookmark">Android图表库MPAndroidChart&lpar;四&rpar;&mdash;&mdash;条形图的绘制过程过程&comma;隐隐约约我看到了套路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android图表库MPAndroidChart(四)--条形图的绘制过程过程,隐隐约约我看到了套路 在学习本课程之前我建议先把我之前的博客看完,这样对整体的流程有一个大致的了解 Android图表库MPAndroidChart(一)--了解他的本质,方能得心应手 Android图表库MPAndroidChart(二)--线形图的方方面面,看完你会回来感谢我的 Android图表库MPAndroidChart(三)--双重轴线形图的实现,这次就so easy了 Android图表库MPAndro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p86JYlb.html" rel="bookmark">Android图表库MPAndroidChart&lpar;一&rpar;&mdash;&mdash;了解他的本质，方能得心应手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android图表库MPAndroidChart(一)--了解他的本质,方能得心应手 我们项目中经常会遇到一些统计图,比如折线图,线形图等,在一些运动健康类的App中尤其的常见,这画起来要命,我以前就是自己手撸了这么多,但是撸完却并没有很深的感悟i,感觉,自己白撸了一样,懊恼,经常去搜索,Google也好,百度也罢,都是些标题党,什么最简单的,一招怎么怎么的,我看了半天愣是连文笔的逻辑的没看明白,主要还是排版实在是感人,本来以为现在转站系统之后接触的,应该是一大堆源码和终端,谁知道又临时调到Ap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqak4z.html" rel="bookmark">DataV接入ECharts图表库  可视化利器强强联手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataV 数据可视化是搭建每年天猫双十一作战大屏的幕后功臣,ECharts 是广受数据可视化从业者推崇的开源图表库.从今天开始,DataV 企业版接入了 ECharts 图表组件,当你使用 DataV 搭建可视化项目时,可以轻松地插入 ECharts,这意味着更丰富多样的图表效果,也让编程小白们可以通过图形界面而非代码配置 ECharts. DataV 首批接入的 ECharts 图表总共有15种.囊括了关系.柱形.热力图.仪表盘等各种常用图形. 比如大家都很熟悉的玫瑰图, 还有日历图, 炫酷			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNGB6p.html" rel="bookmark">使用Chart&period;js图表库制作漂亮的响应式表单&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				入门基础 Chart.js是一个基于HTML5的开源图表库,可以方便简洁的绘制美观的图表. 主要特性包括: 1.支持6种不同的表格类型:曲线图.柱状图.饼状图.雷达图.极坐标区域图.环图. 2.基于HTML5开发,支持所有浏览器(包括IE7/8). 3.不依赖于其他任何库,仅有4.5k大小,并且可以进行定制. Chart.js 是一个基于 HTML5 canvas 的响应式.灵活的.轻量化的图表库.库中提供了六种不同的图表类型,每种类型都带有一系列的自定义选项.如果这些还不够,你还可以创造自己的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7o7jM.html" rel="bookmark">excel图表如何制作商务范的加粗边缘面积图&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  当描述数据趋势时候,可以采用面积图+折线图的方式实现,为了使得这种呈现方式更加商务和大气,可以按照以下步骤进行处理. 方法/步骤 如图1所示是一组原始的数据,选中这第2列数据,插入折线图,即可获得一张折线图表,但是X轴的数据还没加上,需要选中图表数据后,设计-选择数据-水平轴标签-选中本例中的年份列数据,完成后可得到图2所示折线图. 第1个步骤是为了生成折线图,本步骤是为了生成面积图,如图1所示,再次选择数据列,Ctrl+C拷贝,选中图表区,Ctrl+V粘贴,这时发现一条相同的曲线覆盖了原有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQK1ap.html" rel="bookmark">美观又实用，10款强大的开源Javascript图表库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着发展,现代 Web 设计在改善体验和功能的同时,对于美观的追求也越来越高,可视化.交互式.动态等元素和效果似乎已成为标配. 以下是为开发者推荐的 10 款开源 Javascript 图表库,可以帮助实现各种漂亮的功能.话不多说,直接开始吧! 1.ECharts ECharts 由百度前端技术部开发的,是一个纯 Javascript 的图表库,可以流畅的运行在 PC 和移动设备上,兼容当前绝大部分浏览器(IE8/9/10/11.Chrome.Firefox.Safari等),底层依赖轻量级的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO947xM.html" rel="bookmark">数据可视化平台 Plotly 开源强大的 JS 图表库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据可视化平台 Plotly 开源旗下强大的 JavaScript 图表库,支持三种不同类型的图表,包括地图,箱形图和密度图,以及更常见的产品如,条状和线形图.源代码已发布在 GitHub.(已收录开源中国软件库 plotly.js)最新版本的 Plotly.js 可以免费.无限制地用于任何项目. 此前 Plotly 在 R, Python 和 MATLAB 的客户端一直是开源的,但核心图表层 plotly.js 却是闭源的.而现在 Plotly 可以 100%离线地用于 RStudio, MA			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrq86b.html" rel="bookmark" class="title">PS如何去掉旅游景点照片中的人物</a>
					<div>
						  国庆黄金周后,相信很多朋友都拍了大量旅游风景照.本文为你讲解去掉旅游照片中不想留的人物,并告诉您相关拍摄时的技巧问题. 在繁忙的旅游地拍摄中,不断的寻找位置,以求照片中不会出现其他人或汽车之类,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz74O4b.html" rel="bookmark" class="title">总是出现HTTP错误500&period;100内部服务器错误ASP错误解决</a>
					<div>
						错误|服务器|解决|内部服务器     问:当调试程序出错的时候,为什么有的机器总是出现&quot;HTTP 错误 500.100 - 内部服务器错误 - ASP 错误&quot;,而不能显示具体的出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M01X7p.html" rel="bookmark" class="title">校验控件出现问题，修复的方法</a>
					<div>
						控件|问题 最近在写.net的程序,在一个提交数据的页面,我添加了一些校验控件,在程序运行的时候,出现了提示说&quot;无法找到脚本库--&quot;等提示信息,提示说要重新执行一个aspnet_r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBBXkb.html" rel="bookmark" class="title">Asp&period;net Web控件自定义类属性&lpar;经验篇&rpar;</a>
					<div>
						asp.net|web|控件 做控件设计时,我们往往需要用自己定义的类来做为控件的属性, 但是,很不幸的是,IDE并不能预先知道新类别的诞生,因此,我们需要 有TypeConverter来做个转换,把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7R2Bb.html" rel="bookmark" class="title">如何显示Word 2013中的垂直标尺</a>
					<div>
						在Word2013页面窗口中,如果只显示水平标尺而没有显示垂直标尺,则可能会为用户排版带来不便.在Word2013文档窗口中显示垂直标尺的步骤如下所述: 第1步,打开Word2013文档窗口,依次单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnDGVz.html" rel="bookmark" class="title">enode框架入门：框架的物理部署思路</a>
					<div>
						上一篇文章,介绍了enode框架的总体目标,以及如何实现高吞吐.低延迟.高可用.无单点问题的实现思 路.本篇文章,我们再分析一下其他一些需要考虑的问题.我发现写文章挺累的,费时费脑经,但我会坚持下 去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnGyVz.html" rel="bookmark" class="title">Oracle的跟踪事件</a>
					<div>
						一.Oracle跟踪文件 Oracle跟踪文件分为三种类型,一种是后台报警日志文件,记录数据库在启动.关闭和运行期间后台进程的活动情况,如表空间创建.回滚段创建.某些alter命令.日志切换.错误消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2vEwM.html" rel="bookmark" class="title">Qt学习之路&lpar;16&rpar;&colon;Qt标准对话框之QColorDialog</a>
					<div>
						继续来说Qt的标准对话框,这次说说QColorDialog.这是Qt提供的颜色选择对话框. 使用QColorDialog也很简单,Qt提供了getColor()函数,类似于QFileDialog的ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kBg5z.html" rel="bookmark" class="title">如何恢复和修复SQL Server的MDF文件</a>
					<div>
						  如果备份的数据库有2个文件,分别是.LDF 和 .MDF,打开企业管理器,在实例上右击---所有任务--附加数据库,然后选择那个.MDF文件,就可以了. 或者在查询分析器中输入: sp_attac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AKYAp.html" rel="bookmark" class="title">Win8系统更加人性化系统更新</a>
					<div>
						Win8系统: 很多人可能会忽略Windows系统的安全补丁和升级程序,其实这是非常不安全的行为,尽管这些补丁可能会增加你的磁盘空间,甚至会影响到你正在进 行的工作,但为了保证系统和数据的安全,我们还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlBj5b.html" rel="bookmark" class="title">Excel按姓名笔画排序动画教程</a>
					<div>
						&lt;Excel2003入门动画教程20.Excel按姓名笔画排序&gt;. 演示动画 操作步骤 在Excel中对&quot;姓名&quot;列进行排序时,默认情况下是按字母顺序进行排序的,而对于中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElkQnz.html" rel="bookmark" class="title">Win7打开文件夹会重新打开一个窗口问题的解决方法</a>
					<div>
						一. 使用360查杀木马,完了后它会提示你修复相关项,修复完后按照操作重启即可解决问题. 二. 在别人电脑拷贝一份C://programe files/Internet Explorer文件到你电脑相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKRdWp.html" rel="bookmark" class="title">Photoshop教您快速的制作标准一寸证件照</a>
					<div>
						首先将相机卡里的照片存放在电脑硬盘里: 打开 教程PS图片处理软件,点击文件--找到要制作的照片点击图片--打开. 打开后界面如下:点击左侧工具栏里的裁剪工具,宽度设为2.5cm,高度设为3.5cm, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZDj2z.html" rel="bookmark" class="title">显示器电源电压引起的故障</a>
					<div>
						  很多用户在使用电脑的时候,都遇到过显示器抖动和黑屏的情况. 其实出现这种情况,可能是由于显示器的电源电压不稳定引起的.电源变压器和其他线圈如果受潮,也容易产生漏电.如果使用环境过于潮湿,显示内的部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrYEZM.html" rel="bookmark" class="title">高德地图车机版增加地标性品牌图标 让你&OpenCurlyDoubleQuote;约会&rdquo;无压力</a>
					<div>
						距离高德地图车机版(AMAP AUTO)正式发布已经过去1个月了,不知道各位小伙伴用的如何呢?相比手机版高德地图,车机版和车载大屏更匹配的显示,经过优化的字体和按键,更加符合驾车习惯的提示和引导,以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kxDPM.html" rel="bookmark" class="title">避免Java应用中NullPointerException的技巧和最佳实践</a>
					<div>
						Java应用中抛出的空指针异常是解决空指针的最好方式,也是写出能顺利工作的健壮程序的关键.俗话说&quot;预防胜于治疗&quot;,对于这么令人讨厌的空指针异常,这句话也是成立的.值得庆幸的是运用一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx9LWb.html" rel="bookmark" class="title">人人都是 DBA（V）SQL Server 数据库文件</a>
					<div>
						原文:人人都是 DBA(V)SQL Server 数据库文件 SQL Server 数据库安装后会包含 4 个默认系统数据库:master, model, msdb, tempdb. SELECT [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40X5Jz.html" rel="bookmark" class="title">OpenSIPS 1&period;7&period;0发布 开源SIP服务器</a>
					<div>
						OpenSIPS 1.7.0此版本进行了的几个重大改进(DB area对话框支持,TCP和调试)和新功能(如事件通知接口,一个UAC注册模块,脚本支持等). OpenSIPS是一个成熟的开源SIP服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXBKjz.html" rel="bookmark" class="title">网络广告投放</a>
					<div>
						网络广告投放 网络广告投放虽然要花钱,但是给网站带来的流量却是很客观的,不过如何花最少的钱,获得最好的效果,这就需要许多技巧了. 1. 低成本,高回报. 怎样才能做到如此效果呢? 个人观点是对媒体的选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0Wn0M.html" rel="bookmark" class="title">健康类网站 你的前途在那里</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大家都知道在健康类的行业网站里,3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB8moz.html" rel="bookmark" class="title">nhibernate 获取执行过的sql语句&lpar;肯丢帮忙&rpar;</a>
					<div>
						问题描述 大家帮忙,急啊我们老板要做系统日志,要求是记录用户操作执行的SQL语句,我不知道怎么获取执行过的SQL语句,请大家一定帮忙给个方案啊软件环境(asp.net+nhibernate+mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NOR8z.html" rel="bookmark" class="title">IOS 开发之自定义按钮实现文字图片位置随意定制&lowbar;IOS</a>
					<div>
						IOS 开发之自定义按钮实现文字图片位置随意定制 可能有些看到这篇文章的朋友会觉得很不屑:&quot;按钮谁不会自定义?还需要看你的?&quot; 也确实,按钮是我们项目中最常见的控件之一,天天在使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44oaqz.html" rel="bookmark" class="title">表单提交错误后返回内容消失问题的解决方法（PHP网站）&lowbar;php技巧</a>
					<div>
						表单提交错误后返回内容消失怎么办呐,今天就来分析解决一下这个问题. 状况概述: 做填写表单信息提交的时候会碰到一个问题就是当用户填写并提交表单后,程序判断不符合要求并返回,返回之后之前填写的表单信息会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8PLWb.html" rel="bookmark" class="title">Jquery ThickBox插件使用心得&lpar;不建议使用&rpar;&lowbar;jquery</a>
					<div>
						大家可以使用官方推荐的一下几个插件 复制代码 代码如下: While Thickbox had its day, it is not maintained any longer, so we reco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0yNOz.html" rel="bookmark" class="title">android studio引用assets文件夹里的东西路径怎么写</a>
					<div>
						问题描述 android studio引用assets文件夹里的东西路径怎么写 在eclipse中路径是file:///android_asset/kaka.swf,在android studio中a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDl4z.html" rel="bookmark" class="title">android生命周期-Android 绑定View的恢复，就是onRestoreInstanceState调用时</a>
					<div>
						问题描述 Android 绑定View的恢复,就是onRestoreInstanceState调用时 好奇怪,发现Activity的onRestoreInstanceState调用后,尽是报空指针,发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOyg4b.html" rel="bookmark" class="title">filfieinputstream-关于fileInputStream在内存中存放的问题</a>
					<div>
						问题描述 关于fileInputStream在内存中存放的问题 public class Downloads { private static FileInputStream fileInput; p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkNyaM.html" rel="bookmark" class="title">asp&period;net 跳转到新页面的锚点 但是因为ajax请求 定位不准</a>
					<div>
						问题描述 asp.net 跳转到新页面的锚点 但是因为ajax请求 定位不准 我要跳转到新页面的锚点 但是加载后 有很多ajax请求(不止一个,一个能在回调函数处理) 回调后会改变容器的高度 我的锚点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QNZrM.html" rel="bookmark" class="title">南天门U盘启动盘制作工具详细使用教程</a>
					<div>
						软件介绍:本软件是一款把U盘制作成可启动U盘,支持开机启动,方便安装.备份还原系统,带多种系统维护工具(Win03PE.http://www.aliyun.com/zixun/aggregation/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY1N5b.html" rel="bookmark" class="title">优秀注册表单设计方法及案例分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 摘要: 优秀注册表单设计方法及案例 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
